{% extends 'bootstrap/base.html' %}

{% block metas %}
{{super()}}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
{% endblock %}


{% block styles %}
{{super()}}
<link rel="preconnect" href="https://fonts.gstatic.com">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed&display=swap" rel="stylesheet">
<style>
    a.side_a_decor {text-decoration: none;color:rgb(39, 38, 38) }
    a.side_a_decor:hover {text-decoration: none;  }
    .sarai_community_head { 
        text-transform: uppercase;
        text-align:center;
        color: #4CAF50;
        text-shadow: 1px 1px #d8d4d0;
        font-size:30px;
        font-weight:normal;
        font-family: 'Roboto Condensed', sans-serif;
      }

      .txt--gradient-green{ 
        font-size:30px;
        text-transform: uppercase;
        -webkit-text-stroke-color:#000000;
        text-align:center;
        font-family: 'Roboto Condensed', sans-serif;
          background-image:linear-gradient(to right, #16d6d9, #96cc29); color:rgba(0, 0, 0, 0); -webkit-background-clip:text; background-clip:text; position:relative; }
</style>

<link rel="shortcut icon" href="{{ url_for('static', filename='favicon.ico') }}">
<link rel="stylesheet" href="{{url_for('static', filename='css/main.css')}}">
{% endblock %}

{% block title %}
    {% if title %}{{ title }} - Sarai Community{% else %}{{ _('Welcome to Sarai Community') }}{% endif %}
{% endblock %}

{% block navbar %}
    <nav class="navbar navbar-default">
        <!--navbar navbar-default-->
        <br>
        <div class="container">


            
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <!--Sarai Community-->
                {%- block brand %}
                <a class="navbar-default" href="{{ url_for('main.index') }}">
                <img src="{{ url_for('static', filename='img/header_green.png')}}" class="navbar-toggler-icon"
                    onerror="this.src={{ url_for('static', filename='img/header_green.png')}}; this.src=null;" alt="Sarai Community" width="350px"/>
                </a>
                {%- endblock %}
            </div>
            


            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li><a href="{{ url_for('main.index') }}">{{ _('Home') }}</a></li>
                    <li><a href="{{ url_for('main.upload') }}">{{ _('Upload') }}</a></li>
                </ul>
                
                {% if g.search_form %}
                    <form class="navbar-form navbar-left" method="get" action="{{ url_for('main.search') }}">
                        <div class="form-group">
                            {{ g.search_form.q(size=20, class='form-control', placeholder=g.search_form.q.label.text) }}
                        </div>
                    </form>
                {% else %}
                    <form class="navbar-form navbar-left" method="get" action="{{ url_for('main.msearch') }}">
                        <div class="form-group">
                            <input class="form-control" id="q" name="q" placeholder="Search" size="20" type="text" value="">
                        </div>
                    </form>
                {% endif %}
                <ul class="nav navbar-nav navbar-right">
                    {% if current_user.is_anonymous %}
                    <li><a href="{{ url_for('auth.login') }}">{{ _('Login') }}</a></li>
                    {% else %}
                    <li>
                        <a href="{{ url_for('main.messages') }}">{{ _('Messages') }}
                            {% set new_messages = current_user.new_messages() %}
                            <span id="message_count" class="badge"
                                  style="visibility: {% if new_messages %}visible
                                                     {% else %}hidden{% endif %};">
                                {{ new_messages }}
                            </span>
                        </a>
                    </li>
                    <li><a href="{{ url_for('main.user', username=current_user.username) }}">{{ _('Profile') }}</a></li>
                    <li><a href="{{ url_for('auth.logout') }}">{{ _('Logout') }}</a></li>
                    {% endif %}
                   
                </ul>
               
            </div>
            
        </div>
        <br>
    </nav>
{% endblock %}

{% block content %}
        <main role="main" class="container">
            <div class="row">
            <div class="col-md-8">
        {% if current_user.is_authenticated %}
        {% with tasks = current_user.get_tasks_in_progress() %}
        {% if tasks %}
            {% for task in tasks %}
            <div class="alert alert-success" role="alert">
                {{ task.description }}
                <span id="{{ task.id }}-progress">{{ task.get_progress() }}</span>%
            </div>
            {% endfor %}
        {% endif %}
        {% endwith %}
        {% endif %}
        {% with messages = get_flashed_messages() %}
        {# with messages = get_flashed_messages(with_categories=True) #}
        {% if messages %}
            {% for message in messages %}
            <div class="alert alert-info" role="alert">{{ message }}</div>
            {% endfor %}
        {% endif %}
        {% endwith %}

        {# application content needs to be provided in the app_content block #}
        {% block app_content %}{% endblock %}
            </div>
                {% block sidebar_content %}
                    <div class="col-md-4">
                        <div class="content-section">
                        <h3 class="txt--gradient-green">Sarai Community</h3>
                        <p class='text-muted'><small>See our latest post, quick analytics and other services.</small>
                            <ul class="list-group">
                            <li class="list-group-item list-group-item-light"><a  class="side_a_decor" href="/">Latest Posts</a></li>
                            <li class="list-group-item list-group-item-light"><a target="_blank" class="side_a_decor" href="https://sarai.ph/advisories">Advisories</a></li>
                            <li class="list-group-item list-group-item-light"><a target="_blank" class="side_a_decor" href="http://139.59.125.198/ndvi">Maps</a></li>
                            <li class="list-group-item list-group-item-light"><a target="_blank" class="side_a_decor" href="https://sarai.ph/heat-map-rainfall-outlook">Services</a></li>
                            </ul>
                        </p>
                        </div>

                           
                            
                        <div class="content-section">
                        {% block popular_community%}

                        {% endblock popular_community %}
                        </div>
                              
                        <div class="hidden-xs">
                            <a class="twitter-timeline" href="https://twitter.com/projectsarai_ph" data-widget-id="331751059422855169"></a>
                            
                        </div>
                            
                            
                        
                    </div>
                {% endblock sidebar_content %}
            </div>
        </main>
{% endblock %}

{% block scripts %}

    {{ super() }}
    {{ moment.include_moment() }}
    {{ moment.lang(g.locale) }}
    
    <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
    {{ super() }}
    <script type="text/javascript">
    $(function () {
      $('[data-toggle="tooltip"]').tooltip();
    });
    </script>

    <script>
        function translate(sourceElem, destElem, sourceLang, destLang) {
            $(destElem).html('<img src="{{ url_for('static', filename='loading.gif') }}">');
            $.post('/translate', {
                text: $(sourceElem).text(),
                source_language: sourceLang,
                dest_language: destLang
            }).done(function(response) {
                $(destElem).text(response['text'])
            }).fail(function() {
                $(destElem).text("{{ _('Error: Could not contact server.') }}");
            });
        }
        $(function () {
            var timer = null;
            var xhr = null;
            $('.user_popup').hover(
                function(event) {
                    // mouse in event handler
                    var elem = $(event.currentTarget);
                    timer = setTimeout(function() {
                        timer = null;
                        xhr = $.ajax(
                            '/user/' + elem.first().text().trim() + '/popup').done(
                                function(data) {
                                    xhr = null;
                                    elem.popover({
                                        trigger: 'manual',
                                        html: true,
                                        animation: false,
                                        container: elem,
                                        content: data
                                    }).popover('show');
                                    flask_moment_render_all();
                                }
                            );
                    }, 1000);
                },
                function(event) {
                    // mouse out event handler
                    var elem = $(event.currentTarget);
                    if (timer) {
                        clearTimeout(timer);
                        timer = null;
                    }
                    else if (xhr) {
                        xhr.abort();
                        xhr = null;
                    }
                    else {
                        elem.popover('destroy');
                    }
                }
            );
        });
        function set_message_count(n) {
            $('#message_count').text(n);
            $('#message_count').css('visibility', n ? 'visible' : 'hidden');
        }
        function set_task_progress(task_id, progress) {
            $('#' + task_id + '-progress').text(progress);
        }
        {% if current_user.is_authenticated %}
        $(function() {
            var since = 0;
            setInterval(function() {
                $.ajax('{{ url_for('main.notifications') }}?since=' + since).done(
                    function(notifications) {
                        for (var i = 0; i < notifications.length; i++) {
                            switch (notifications[i].name) {
                                case 'unread_message_count':
                                    set_message_count(notifications[i].data);
                                    break;
                                case 'task_progress':
                                    set_task_progress(notifications[i].data.task_id,
                                        notifications[i].data.progress);
                                    break;
                            }
                            since = notifications[i].timestamp;
                        }
                    }
                );
            }, 10000);
        });
        {% endif %}
    </script>
    
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>-->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}
